Package org.eclipse.birt.chart.computation.withaxes

# Class OneAxis

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.OneAxis

public final class OneAxis extends Object
This class provides an internal implementation of the axis class used by the renderer. Note that positions, orientations, rotation angles, etc could be transposed and may not reflect the same values maintained by the model.

## Method Summary

Modifier and Type
Method
Description
`double`
`getAxisCoordinate()`
`Location3D`
`getAxisCoordinate3D()`
`int`
`getAxisType()`
`Chart`
`getChartModel()`
`int`
`getCombinedTickStyle()`
`FormatSpecifier`
`getFormatSpecifier()`
`Grid`
`getGrid()`
`IntersectionValue`
`getIntersectionValue()`
`Label`
`getLabel()`
`int`
`getLabelPosition()`
`LineAttributes`
`getLineAttributes()`
`Axis`
`getModelAxis()`
`int`
`getOrientation()`
`RunTimeContext`
`getRunTimeContext()`
`AutoScale`
`getScale()`
`Label`
`getTitle()`
`double`
`getTitleCoordinate()`
`int`
`getTitlePosition()`
`boolean`
`isCategoryScale()`
`boolean`
`isShowLabels()`
`boolean`
`isTickBwtweenCategories()`
`void`
`setAxisCoordinate(double _dAxisRenderingCoordinate)`
`void`
`setShowLabels(boolean bShowLabels)`
`void`
`setTitleCoordinate(double _dTitleRenderingCoordinate)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAxisType

public int getAxisType()

Returns:

### setAxisCoordinate

public void setAxisCoordinate(double _dAxisRenderingCoordinate)

### setTitleCoordinate

public void setTitleCoordinate(double _dTitleRenderingCoordinate)

### getCombinedTickStyle

public int getCombinedTickStyle()

Returns:

### getAxisCoordinate

public double getAxisCoordinate()

Returns:

### getAxisCoordinate3D

public Location3D getAxisCoordinate3D()

Returns:

### getTitleCoordinate

public double getTitleCoordinate()

Returns:

### getLabelPosition

public int getLabelPosition()

Returns:

### getTitlePosition

public int getTitlePosition()

Returns:

### getModelAxis

public Axis getModelAxis()

Returns:

### getGrid

public Grid getGrid()

Returns:

### getOrientation

public int getOrientation()

Returns:

### isCategoryScale

public boolean isCategoryScale()

Returns:

### isTickBwtweenCategories

public boolean isTickBwtweenCategories()

### getChartModel

public Chart getChartModel()

### getScale

public AutoScale getScale()

Returns:

### getLineAttributes

public LineAttributes getLineAttributes()

Returns:

### getIntersectionValue

public IntersectionValue getIntersectionValue()

Returns:

### getLabel

public Label getLabel()

Returns:

### getTitle

public Label getTitle()

Returns:

### getFormatSpecifier

public FormatSpecifier getFormatSpecifier()

Returns:

### getRunTimeContext

public RunTimeContext getRunTimeContext()

Returns:

### isShowLabels

public boolean isShowLabels()

Returns:
  Returns the bShowLabels.

### setShowLabels

public void setShowLabels(boolean bShowLabels)

Parameters:
  `bShowLabels` - The bShowLabels to set.